# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config.pm)
# END SourceDeps(oneline)
Group: Other
Name:           api-sanity-checker
Version:        1.12.10
Release:        alt2_1
Summary:        An automatic generator of basic unit tests for a shared C/C++ library

License:        GPLv2
URL:            http://forge.ispras.ru/projects/api-sanity-autotest
Source0:        http://forge.ispras.ru/attachments/download/1278/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  help2man
Requires:       binutils


Source44: import.info

%description
API Sanity Checker (ASC) is an automatic generator of basic unit tests for
shared C/C++ libraries. It is able to generate reasonable (in most, but
unfortunately not all, cases) input data for parameters and compose simple
("sanity" or "shallow"-quality) test cases for every function in the API through
the analysis of declarations in header files. The quality of generated tests
allows to check absence of critical errors in simple use cases. The tool is able
to build and execute generated tests and detect crashes (segfaults), aborts, all
kinds of emitted signals, non-zero program return code and program hanging. It
may be considered as a tool for out-of-the-box low-cost sanity checking
(fuzzing) of the library API or as a test development framework for initial
generation of templates for advanced tests. Also it supports universal format of
tests, random test generation mode, specialized data types and other useful
features.


%prep
%setup -q
#chmod -x LICENSE


%build
# Nothing to build.


%install
mkdir -p %{buildroot}%{_bindir}
perl ./Makefile.pl -install --destdir=%{buildroot} --prefix=%{_prefix}

# Create a man page.
mkdir -p %{buildroot}%{_mandir}/man1
help2man -h --info -o %{buildroot}%{_mandir}/man1/api-sanity-checker.1 \
         -N %{buildroot}%{_bindir}/api-sanity-checker
sed -i 's|API(1)|API-SANITY-CHECKER(1)|g' %{buildroot}%{_mandir}/man1/api-sanity-checker.1
sed -i '3,5d' %{buildroot}%{_mandir}/man1/api-sanity-checker.1


%files
%doc LICENSE README doc/*
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*


%changelog
* Tue Jan 29 2013 Cronbuild Service <cronbuild@altlinux.org> 1.12.10-alt2_1
- rebuild to get rid of unmets

* Wed Dec 12 2012 Igor Vlasenko <viy@altlinux.ru> 1.12.10-alt1_1
- update to new release by fcimport

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 1.12.9-alt2_4
- update to new release by fcimport

* Tue May 22 2012 Igor Vlasenko <viy@altlinux.ru> 1.12.9-alt2_3
- regenerated with 0.46 R::S::C

* Fri May 18 2012 Igor Vlasenko <viy@altlinux.ru> 1.12.9-alt1_3
- converted for Sisyphus

